use async_trait::async_trait;
use dagger_sdk::Container;

use crate::dagger_middleware::DaggerMiddleware;

pub struct Sqlx {}
#[async_trait]
impl DaggerMiddleware for Sqlx {
    async fn handle(&self, container: Container) -> eyre::Result<Container> {
        Ok(container.with_env_variable("SQLX_OFFLINE", "true"))
    }
}
